Bug 72396 - firstboot thinks the time is when firstboot started, even if I start filling it in a day later
firstboot thinks the time is when firstboot started, even if I start filling ...
Product: Red Hat Linux
Classification: Retired
Component: firstboot (Show other bugs)
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Brent Fox
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2002-08-23 10:21 EDT by Telsa Gwynne
Modified: 2007-03-26 23:56 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-06-24 14:36:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Telsa Gwynne 2002-08-23 10:21:18 EDT
GUI install of (null): personal desktop. Performed by someone else, not
me, left at firstboot for me to set up as I pleased. I think this may be
a fairly common scenario.

38 hours later, I recall this. it's sitting on the first page. go to
next page, time setup. firstboot thinks it's still 38 hours ago in the
form fields when I can tweak the date and time, and is showing the real time
just above that. Exceedingly perplexing to se 15:10:31 (etc) ticking on and
the forms containing 1 (why not 01 for 24 hours clock, btw?) for hour, 14
for minutes, etc. 

I think it should look for the time when the time screen is selected, not
when firstboot starts, if this is possible.
Comment 1 Brent Fox 2002-08-29 17:08:23 EDT
There are a few issues here.  
1) I don't know of a way for GTK SpinButtons to format numbers with a leading
zero like "01", "02", and so on.  Perhaps there is a way, but I couldn't figure
it out after a few minutes.
2) Probably the correct way to fix this problem is to have a proper Gtk clock
widget like Windows and MacOS have, but that's not going to happen for this release.
Comment 2 Brent Fox 2002-08-29 17:10:05 EDT
Ok, I've changed it to update the time in the entry widgets every time the date
screen is entered.  This should fix things.

QA, please verify with redhat-config-date-1.5.2-8 and firstboot-1.0.1-5.
Comment 3 Brent Fox 2003-06-24 14:36:05 EDT
Resolving as 'Currentrelease'.  Please reopen if you still see the problem in RHL 9.

Note You need to log in before you can comment on or make changes to this bug.